Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

Error processing package opera-stable (Opera 54.0.2952.41)

  • Debian 9.4.0 (Stretch)
    After updating Opera from the previous version, this error started to happen:

    sudo apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Do you want to continue? [Y/n] 
    Setting up opera-stable (54.0.2952.41) ...
    dpkg: error processing package opera-stable (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     opera-stable
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    
    sudo apt --fix-broken upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Do you want to continue? [Y/n] 
    Setting up opera-stable (54.0.2952.41) ...
    dpkg: error processing package opera-stable (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     opera-stable
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    

    I did run apt-get autoremove, apt-get autoclean I also tried to remove and reinstall Opera but the same error still occur.

  • Have you tried
    apt-get install -f
    in case there is a missing dependency?

  • @jimunderscorep Yes, already tried that too.
    There's no dependency missing, this is some apt script configuration error.

  • Fixing my own issue...
    If you followed this instructions it will possible fail, the trusting part doesn't work with Debian 9.4.0 (Stretch), this is how I did.

    • Remove Opera with sudo apt-get --purge opera-stable, this will remove everything related with Opera but your home profile, that means that all your stuff are safe.
    • Get the Opera key with sudo gpg --keyserver sks-keyservers.net --recv-keys 0xD4CC85974C31396B18B36837D615560BA5C7FF72
    • Export the key with sudo gpg --export 0xD4CC85974C31396B18B36837D615560BA5C7FF72 >opera-stable.gpg
    • Add the Opera key with sudo apt-key add opera-stable.gpg If it returns any error, is possible that your /etc/apt/trusted.gpg is corrupted.
    • Recreate /etc/apt/sources.list.d/opera-stable.list with:
    deb http://deb.opera.com/opera-stable/ stable non-free
    
    • Update apt with apt-get update && apt-get upgrade there should be no error.
    sudo apt-get update
    Hit:1 http://security.debian.org/debian-security stretch/updates InRelease
    Hit:2 http://apt.llvm.org/stretch llvm-toolchain-stretch-5.0 InRelease         
    Hit:3 http://apt.llvm.org/stretch llvm-toolchain-stretch-6.0 InRelease         
    Hit:4 http://deb.opera.com/opera-stable stable InRelease                       
    Ign:5 http://ftp.br.debian.org/debian stretch InRelease
    Hit:6 http://ftp.br.debian.org/debian stretch-updates InRelease
    Hit:7 http://ftp.br.debian.org/debian stretch Release
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    
    • Reinstall with sudo apt-get install opera-stable

    That's it, no more dpkg error.

  • Something I forgot, the last command will install Opera and ask you a question, select No because we already set that up, if you answer "Yes" it will mess up /etc/apt/sources.list.d/opera-stable.list